using System;

namespace ConsoleApp8
{
    class Program
    {
        static void Main(string[] args)
        {
            int q = int.Parse(Console.ReadLine());
            string res = "";
            for (int i = 0; i < q; i++)
            {
                string[] s = Console.ReadLine().Split();
                int N = int.Parse(s[0]);
                int M = int.Parse(s[1]);
                int K = int.Parse(s[2]);

                if (K == 1)
                {
                    if ((N * N + N) / 2 <= M)
                        res += "Tak\n";
                    else
                        res += "Nie\n";
                }
                else
                {
                    int bruc = (N + 1) / K;
                    if (((N + 1) / K * (N + 1) / K + (N + 1) / K) / 2 * (N % K == 0 ? K : (K - 1)) + ((N % K != 0) ? (((N - (bruc * (K - 1))) * (N - (bruc * (K - 1))) + (N - (bruc * (K - 1)))) / 2) : 0) <= M)
                        res += "Tak\n";
                    else
                        res += "Nie\n";
                }
            }

            Console.WriteLine(res);
        }
    }
}